LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux From Scratch (https://www.linuxquestions.org/questions/linux-from-scratch-13/)
-   -   test suite error in coreutils (https://www.linuxquestions.org/questions/linux-from-scratch-13/test-suite-error-in-coreutils-771304/)

aahiqmir 11-24-2009 02:53 PM

test suite error in coreutils
 
Hi,

in lfs6.5 chapter 6, section 6.21 when i run
Code:

make NON_ROOT_USERNAME=nobody check-root
I get the following out put on my screen
Code:

+++ test '' = set
++ for var in '$vars'
++ unset VERSION_CONTROL
++ eval test '"${VERSION_CONTROL+set}"' = set
+++ test '' = set
++ test '' = 1
+ . ./test-lib.sh
++ unset function_test
++ eval 'function_test() { return 11; }; function_test'
+++ function_test
+++ return 11
++ test 11 '!=' 11
+++ pwd
++ test_dir_=/sources/coreutils-7.4/tests
+++ this_test_
+++ echo ././misc/truncate-owned-by-other
+++ sed 's,.*/,,'
++ this_test=truncate-owned-by-other
+++ /sources/coreutils-7.4/src/mktemp -d --tmp=/sources/coreutils-7.4/tests cu-truncate-owned-by-other.XXXXXXXXXX
++ t_=/sources/coreutils-7.4/tests/cu-truncate-owned-by-other.sT2kTKVQ7E
++ trap remove_tmp_ 0
++ trap 'Exit $?' 1 2 13 15
++ cd /sources/coreutils-7.4/tests/cu-truncate-owned-by-other.sT2kTKVQ7E
++ diff --version
++ grep GNU
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=0
+ case $my_uid in
+ NON_ROOT_USERNAME=nobody
++ id -g nobody
id: nobody: No such user
+ group_num=
+ echo
+ chgrp + . root-owned
chgrp: invalid group: `+'
+ framework_failure
+ error_ 'failure in testing framework'
+ echo './misc/truncate-owned-by-other: failure in testing framework'
./misc/truncate-owned-by-other: failure in testing framework
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=1
+ cleanup_
+ :
+ cd /sources/coreutils-7.4/tests
+ chmod -R u+rwx /sources/coreutils-7.4/tests/cu-truncate-owned-by-other.sT2kTKVQ7E
+ rm -rf /sources/coreutils-7.4/tests/cu-truncate-owned-by-other.sT2kTKVQ7E
+ exit 1

SKIP: mkdir/writable-under-readonly (exit: 77)
==============================================

+ mkdir --version
mkdir (GNU coreutils) 7.4
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by David MacKenzie.
+ . ./test-lib.sh
++ unset function_test
++ eval 'function_test() { return 11; }; function_test'
+++ function_test
+++ return 11
++ test 11 '!=' 11
+++ pwd
++ test_dir_=/sources/coreutils-7.4/tests
+++ this_test_
+++ echo ././mkdir/writable-under-readonly
+++ sed 's,.*/,,'
++ this_test=writable-under-readonly
+++ /sources/coreutils-7.4/src/mktemp -d --tmp=/sources/coreutils-7.4/tests cu-writable-under-readonly.XXXXXXXXXX
++ t_=/sources/coreutils-7.4/tests/cu-writable-under-readonly.eOLF5Aenqc
++ trap remove_tmp_ 0
++ trap 'Exit $?' 1 2 13 15
++ cd /sources/coreutils-7.4/tests/cu-writable-under-readonly.eOLF5Aenqc
++ diff --version
++ grep GNU
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=0
+ case $my_uid in
+ NON_ROOT_USERNAME=nobody
+ skip_test_ temporarily disabled
+ echo './mkdir/writable-under-readonly: skipping test: temporarily' disabled
+ head -1
+ echo './mkdir/writable-under-readonly: skipping test: temporarily' disabled
./mkdir/writable-under-readonly: skipping test: temporarily disabled
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=77
+ cleanup_
+ :
+ cd /sources/coreutils-7.4/tests
+ chmod -R u+rwx /sources/coreutils-7.4/tests/cu-writable-under-readonly.eOLF5Aenqc
+ rm -rf /sources/coreutils-7.4/tests/cu-writable-under-readonly.eOLF5Aenqc
+ exit 77

FAIL: mv/sticky-to-xpart (exit: 1)
==================================

+ mv --version
mv (GNU coreutils) 7.4
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Mike Parker, David MacKenzie, and Jim Meyering.
+ . ./test-lib.sh
++ unset function_test
++ eval 'function_test() { return 11; }; function_test'
+++ function_test
+++ return 11
++ test 11 '!=' 11
+++ pwd
++ test_dir_=/sources/coreutils-7.4/tests
+++ this_test_
+++ echo ././mv/sticky-to-xpart
+++ sed 's,.*/,,'
++ this_test=sticky-to-xpart
+++ /sources/coreutils-7.4/src/mktemp -d --tmp=/sources/coreutils-7.4/tests cu-sticky-to-xpart.XXXXXXXXXX
++ t_=/sources/coreutils-7.4/tests/cu-sticky-to-xpart.WdHKLng5af
++ trap remove_tmp_ 0
++ trap 'Exit $?' 1 2 13 15
++ cd /sources/coreutils-7.4/tests/cu-sticky-to-xpart.WdHKLng5af
++ diff --version
++ grep GNU
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=0
+ case $my_uid in
+ NON_ROOT_USERNAME=nobody
+ . /sources/coreutils-7.4/tests/other-fs-tmpdir
++ test '' = set
++ CANDIDATE_TMP_DIRS='. /tmp /dev/shm /var/tmp /usr/tmp /root'
++ other_partition_tmpdir=
+++ stat -c %d .
++ dot_mount_point=776
++ for d in '$CANDIDATE_TMP_DIRS'
++ test -d .
+++ stat -L -c %d .
++ d_mount_point=776
++ test x776 = x776
++ continue
++ for d in '$CANDIDATE_TMP_DIRS'
++ test -d /tmp
+++ stat -L -c %d /tmp
++ d_mount_point=776
++ test x776 = x776
++ continue
++ for d in '$CANDIDATE_TMP_DIRS'
++ test -d /dev/shm
+++ stat -L -c %d /dev/shm
++ d_mount_point=18
++ test x18 = x776
++ mkdir /dev/shm/tmp8911
++ other_partition_tmpdir=/dev/shm/tmp8911
++ break
++ test -z /dev/shm/tmp8911
++ test yes = yes
++ set -x
+ mkdir t
+ chmod a=rwx,o+t t
+ echo
+ chmod a+r t/root-owned
+ chown nobody /dev/shm/tmp8911
chown: invalid user: `nobody'
+ framework_failure
+ error_ 'failure in testing framework'
+ echo './mv/sticky-to-xpart: failure in testing framework'
./mv/sticky-to-xpart: failure in testing framework
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=1
+ cleanup_
+ rm -rf /dev/shm/tmp8911
+ cd /sources/coreutils-7.4/tests
+ chmod -R u+rwx /sources/coreutils-7.4/tests/cu-sticky-to-xpart.WdHKLng5af
+ rm -rf /sources/coreutils-7.4/tests/cu-sticky-to-xpart.WdHKLng5af
+ exit 1

SKIP: rm/fail-2eperm (exit: 77)
===============================

+ rm --version
rm (GNU coreutils) 7.4
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Paul Rubin, David MacKenzie, Richard M. Stallman,
and Jim Meyering.
+ . ./test-lib.sh
++ unset function_test
++ eval 'function_test() { return 11; }; function_test'
+++ function_test
+++ return 11
++ test 11 '!=' 11
+++ pwd
++ test_dir_=/sources/coreutils-7.4/tests
+++ this_test_
+++ echo ././rm/fail-2eperm
+++ sed 's,.*/,,'
++ this_test=fail-2eperm
+++ /sources/coreutils-7.4/src/mktemp -d --tmp=/sources/coreutils-7.4/tests cu-fail-2eperm.XXXXXXXXXX
++ t_=/sources/coreutils-7.4/tests/cu-fail-2eperm.RWpEv28g01
++ trap remove_tmp_ 0
++ trap 'Exit $?' 1 2 13 15
++ cd /sources/coreutils-7.4/tests/cu-fail-2eperm.RWpEv28g01
++ diff --version
++ grep GNU
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=0
+ case $my_uid in
+ NON_ROOT_USERNAME=nobody
+ chown nobody .
chown: invalid user: `nobody'
+ mkdir a
+ chmod 1777 a
+ touch a/b
+ fail=0
++ setuidgid nobody env PATH=/sources/coreutils-7.4/src:/bin:/usr/bin:/sbin:/usr/sbin:/tools/bin rm --version
setuidgid: unknown user-ID: `nobody': Unknown error 530
++ sed -n '1s/.* //p'
+ rm_version=
+ case $rm_version in
+ skip_test_ 'cannot access just-built rm as user nobody'
+ echo './rm/fail-2eperm: skipping test: cannot access just-built rm as user nobody'
+ head -1
+ echo './rm/fail-2eperm: skipping test: cannot access just-built rm as user nobody'
./rm/fail-2eperm: skipping test: cannot access just-built rm as user nobody
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=77
+ cleanup_
+ :
+ cd /sources/coreutils-7.4/tests
+ chmod -R u+rwx /sources/coreutils-7.4/tests/cu-fail-2eperm.RWpEv28g01
+ rm -rf /sources/coreutils-7.4/tests/cu-fail-2eperm.RWpEv28g01
+ exit 77

FAIL: rm/no-give-up (exit: 1)
=============================

+ rm --version
rm (GNU coreutils) 7.4
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Paul Rubin, David MacKenzie, Richard M. Stallman,
and Jim Meyering.
+ . ./test-lib.sh
++ unset function_test
++ eval 'function_test() { return 11; }; function_test'
+++ function_test
+++ return 11
++ test 11 '!=' 11
+++ pwd
++ test_dir_=/sources/coreutils-7.4/tests
+++ this_test_
+++ echo ././rm/no-give-up
+++ sed 's,.*/,,'
++ this_test=no-give-up
+++ /sources/coreutils-7.4/src/mktemp -d --tmp=/sources/coreutils-7.4/tests cu-no-give-up.XXXXXXXXXX
++ t_=/sources/coreutils-7.4/tests/cu-no-give-up.PSzPBStgzK
++ trap remove_tmp_ 0
++ trap 'Exit $?' 1 2 13 15
++ cd /sources/coreutils-7.4/tests/cu-no-give-up.PSzPBStgzK
++ diff --version
++ grep GNU
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=0
+ case $my_uid in
+ NON_ROOT_USERNAME=nobody
+ mkdir d
+ touch d/f
+ chown -R nobody d
chown: invalid user: `nobody'
+ framework_failure
+ error_ 'failure in testing framework'
+ echo './rm/no-give-up: failure in testing framework'
./rm/no-give-up: failure in testing framework
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=1
+ cleanup_
+ :
+ cd /sources/coreutils-7.4/tests
+ chmod -R u+rwx /sources/coreutils-7.4/tests/cu-no-give-up.PSzPBStgzK
+ rm -rf /sources/coreutils-7.4/tests/cu-no-give-up.PSzPBStgzK
+ exit 1

SKIP: rm/one-file-system (exit: 77)
===================================

+ rm --version
rm (GNU coreutils) 7.4
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Paul Rubin, David MacKenzie, Richard M. Stallman,
and Jim Meyering.
+ . ./test-lib.sh
++ unset function_test
++ eval 'function_test() { return 11; }; function_test'
+++ function_test
+++ return 11
++ test 11 '!=' 11
+++ pwd
++ test_dir_=/sources/coreutils-7.4/tests
+++ this_test_
+++ echo ././rm/one-file-system
+++ sed 's,.*/,,'
++ this_test=one-file-system
+++ /sources/coreutils-7.4/src/mktemp -d --tmp=/sources/coreutils-7.4/tests cu-one-file-system.XXXXXXXXXX
++ t_=/sources/coreutils-7.4/tests/cu-one-file-system.Ux0tCLCKk6
++ trap remove_tmp_ 0
++ trap 'Exit $?' 1 2 13 15
++ cd /sources/coreutils-7.4/tests/cu-one-file-system.Ux0tCLCKk6
++ diff --version
++ grep GNU
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=0
+ case $my_uid in
+ NON_ROOT_USERNAME=nobody
+ . /sources/coreutils-7.4/tests/other-fs-tmpdir
++ test '' = set
++ CANDIDATE_TMP_DIRS='. /tmp /dev/shm /var/tmp /usr/tmp /root'
++ other_partition_tmpdir=
+++ stat -c %d .
++ dot_mount_point=776
++ for d in '$CANDIDATE_TMP_DIRS'
++ test -d .
+++ stat -L -c %d .
++ d_mount_point=776
++ test x776 = x776
++ continue
++ for d in '$CANDIDATE_TMP_DIRS'
++ test -d /tmp
+++ stat -L -c %d /tmp
++ d_mount_point=776
++ test x776 = x776
++ continue
++ for d in '$CANDIDATE_TMP_DIRS'
++ test -d /dev/shm
+++ stat -L -c %d /dev/shm
++ d_mount_point=18
++ test x18 = x776
++ mkdir /dev/shm/tmp9060
++ other_partition_tmpdir=/dev/shm/tmp9060
++ break
++ test -z /dev/shm/tmp9060
++ test yes = yes
++ set -x
+ t=/dev/shm/tmp9060
+ mkdir -p a/b /dev/shm/tmp9060/y
+ mount --bind /dev/shm/tmp9060 a/b
./rm/one-file-system: line 37: mount: command not found
+ skip_test_ 'This test requires mount with a working --bind option.'
+ echo './rm/one-file-system: skipping test: This test requires mount with a working --bind option.'
+ head -1
+ echo './rm/one-file-system: skipping test: This test requires mount with a working --bind option.'
./rm/one-file-system: skipping test: This test requires mount with a working --bind option.
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=77
+ cleanup_
+ umount /dev/shm/tmp9060
./rm/one-file-system: line 30: umount: command not found
+ rm -rf /dev/shm/tmp9060
+ cd /sources/coreutils-7.4/tests
+ chmod -R u+rwx /sources/coreutils-7.4/tests/cu-one-file-system.Ux0tCLCKk6
+ rm -rf /sources/coreutils-7.4/tests/cu-one-file-system.Ux0tCLCKk6
+ exit 77

FAIL: touch/now-owned-by-other (exit: 1)
========================================

+ touch --version
touch (GNU coreutils) 7.4
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Paul Rubin, Arnold Robbins, Jim Kingdon,
David MacKenzie, and Randy Smith.
+ . ./test-lib.sh
++ unset function_test
++ eval 'function_test() { return 11; }; function_test'
+++ function_test
+++ return 11
++ test 11 '!=' 11
+++ pwd
++ test_dir_=/sources/coreutils-7.4/tests
+++ this_test_
+++ echo ././touch/now-owned-by-other
+++ sed 's,.*/,,'
++ this_test=now-owned-by-other
+++ /sources/coreutils-7.4/src/mktemp -d --tmp=/sources/coreutils-7.4/tests cu-now-owned-by-other.XXXXXXXXXX
++ t_=/sources/coreutils-7.4/tests/cu-now-owned-by-other.sD9mcFLWO0
++ trap remove_tmp_ 0
++ trap 'Exit $?' 1 2 13 15
++ cd /sources/coreutils-7.4/tests/cu-now-owned-by-other.sD9mcFLWO0
++ diff --version
++ grep GNU
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=0
+ case $my_uid in
+ NON_ROOT_USERNAME=nobody
++ id -g nobody
id: nobody: No such user
+ group_num=
+ echo
+ chgrp + . root-owned
chgrp: invalid group: `+'
+ framework_failure
+ error_ 'failure in testing framework'
+ echo './touch/now-owned-by-other: failure in testing framework'
./touch/now-owned-by-other: failure in testing framework
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=1
+ cleanup_
+ :
+ cd /sources/coreutils-7.4/tests
+ chmod -R u+rwx /sources/coreutils-7.4/tests/cu-now-owned-by-other.sD9mcFLWO0
+ rm -rf /sources/coreutils-7.4/tests/cu-now-owned-by-other.sD9mcFLWO0
+ exit 1
======================================
6 of 11 tests failed
(8 tests were not run)
See tests/test-suite.log
Please report to bug-coreutils@gnu.org
======================================
make[4]: *** [test-suite.log] Error 1
make[4]: Leaving directory `/sources/coreutils-7.4/tests'
make[3]: *** [check-TESTS] Error 2
make[3]: Leaving directory `/sources/coreutils-7.4/tests'
make[2]: *** [check-am] Error 2
make[2]: Leaving directory `/sources/coreutils-7.4/tests'
make[1]: *** [check-root] Error 2
make[1]: Leaving directory `/sources/coreutils-7.4/tests'
make: *** [check-root] Error 2



here is my config.log

Code:

#define HAVE_INTTYPES_H 1
#define HAVE_STDINT_H 1
#define HAVE_UNISTD_H 1
#define __EXTENSIONS__ 1
#define _ALL_SOURCE 1
#define _GNU_SOURCE 1
#define _POSIX_PTHREAD_SEMANTICS 1
#define _TANDEM_SOURCE 1
#define HAVE_FSEEKO 1
#define HAVE_ALLOCA_H 1
#define HAVE_ALLOCA 1
#define HAVE_ARPA_INET_H 1
#define HAVE_SYS_PARAM_H 1
#define HAVE_SYS_SOCKET_H 1
#define HAVE_DIRENT_H 1
#define HAVE_ERRNO_H 1
#define HAVE_LIBGEN_H 1
#define HAVE_FCNTL_H 1
#define HAVE_FLOAT_H 1
#define HAVE_WCTYPE_H 1
#define HAVE_STDIO_EXT_H 1
#define HAVE_SYS_VFS_H 1
#define HAVE_NETDB_H 1
#define HAVE_NETINET_IN_H 1
#define HAVE_TERMIOS_H 1
#define HAVE_SYS_TIME_H 1
#define HAVE_ICONV_H 1
#define HAVE_STDINT_H 1
#define HAVE_WCHAR_H 1
#define HAVE_INTTYPES_H 1
#define HAVE_MATH_H 1
#define HAVE_UNISTD_H 1
#define HAVE_SYS_STATVFS_H 1
#define HAVE_SYS_SELECT_H 1
#define HAVE_UTMP_H 1
#define HAVE_UTMPX_H 1
#define HAVE_LOCALE_H 1
#define HAVE_SIGNAL_H 1
#define HAVE_STDARG_H 1
#define HAVE_STDIO_H 1
#define HAVE_STDLIB_H 1
#define HAVE_STRING_H 1
#define HAVE_SYS_STAT_H 1
#define HAVE_TIME_H 1
#define HAVE_UTIME_H 1
#define HAVE_SYS_WAIT_H 1
#define HAVE_SYS_IOCTL_H 1
#define HAVE_PATHS_H 1
#define HAVE_STROPTS_H 1
#define HAVE_SYS_RESOURCE_H 1
#define HAVE_SYSLOG_H 1
#define HAVE_GRP_H 1
#define HAVE_PWD_H 1
#define D_INO_IN_DIRENT 1
#define FILE_SYSTEM_ACCEPTS_DRIVE_LETTER_PREFIX 0
#define FILE_SYSTEM_BACKSLASH_IS_FILE_NAME_SEPARATOR 0
#define FILE_SYSTEM_DRIVE_PREFIX_CAN_BE_RELATIVE 0
#define HAVE_LONG_FILE_NAMES 1
#define HAVE_PATHCONF 1
#define HAVE_BTOWC 1
#define HAVE_CANONICALIZE_FILE_NAME 1
#define HAVE_DUP2 1
#define HAVE_FCHDIR 1
#define HAVE_MEMPCPY 1
#define HAVE_ISBLANK 1
#define HAVE_ISWCTYPE 1
#define HAVE_MBSRTOWCS 1
#define HAVE_WMEMCHR 1
#define HAVE_WMEMCPY 1
#define HAVE_WMEMPCPY 1
#define HAVE___FPENDING 1
#define HAVE___FPURGE 1
#define HAVE___FREADING 1
#define HAVE_FTRUNCATE 1
#define HAVE_FDOPENDIR 1
#define HAVE_FSTATFS 1
#define HAVE_FLOCKFILE 1
#define HAVE_FUNLOCKFILE 1
#define HAVE___FSETLOCKING 1
#define HAVE_TCGETATTR 1
#define HAVE_TCSETATTR 1
#define HAVE_GETTIMEOFDAY 1
#define HAVE_LSTAT 1
#define HAVE_MBSINIT 1
#define HAVE_MBRTOWC 1
#define HAVE_MBRLEN 1
#define HAVE_ISASCII 1
#define HAVE_FCHMOD 1
#define HAVE_ALARM 1
#define HAVE_READLINK 1
#define HAVE_UTMPNAME 1
#define HAVE_UTMPXNAME 1
#define HAVE_WCSCOLL 1
#define HAVE_SETENV 1
#define HAVE_SETTIMEOFDAY 1
#define HAVE_STIME 1
#define HAVE_SIGACTION 1
#define HAVE_SIGALTSTACK 1
#define HAVE_SIGINTERRUPT 1
#define HAVE_TZSET 1
#define HAVE_PIPE 1
#define HAVE_FUTIMES 1
#define HAVE_FUTIMESAT 1
#define HAVE_FUTIMENS 1
#define HAVE_UTIMENSAT 1
#define HAVE_WCRTOMB 1
#define HAVE_ISWCNTRL 1
#define HAVE_WCWIDTH 1
#define HAVE_WCTOB 1
#define HAVE_STRXFRM 1
#define HAVE_NL_LANGINFO 1
#define HAVE_ENDGRENT 1
#define HAVE_ENDPWENT 1
#define HAVE_FCHOWN 1
#define HAVE_ISWSPACE 1
#define HAVE_MKFIFO 1
#define HAVE_SETGROUPS 1
#define HAVE_SETHOSTNAME 1
#define HAVE_SYNC 1
#define HAVE_SYSCTL 1
#define HAVE_SYSINFO 1
#define HAVE_TCGETPGRP 1
#define restrict __restrict
#define HAVE_LANGINFO_CODESET 1
#define HAVE_C99_STRTOLD 1
#define HAVE_DECL_CANONICALIZE_FILE_NAME 1
#define HAVE_UNISTD_H 1
#define HAVE_CHOWN 1
#define HAVE_DECL_STRERROR_R 1
#define HAVE_STRERROR_R 1
#define STRERROR_R_CHAR_P 1
#define HAVE_DECL_SETREGID 1
#define GETGROUPS_T gid_t
#define HAVE_GETGROUPS 1
#define HAVE_DECL_STRMODE 0
#define HAVE_MBSTATE_T 1
#define LSTAT_FOLLOWS_SLASHED_SYMLINK 1
#define HAVE_SHUTDOWN 1
#define HAVE_GETHOSTBYNAME 1
#define HAVE_GETSERVBYNAME 1
#define HAVE_IPV4 1
#define HAVE_IPV6 1
#define HAVE_DECL_GETCWD 1
#define HAVE__BOOL 1
#define HAVE_STDBOOL_H 1
#define HAVE_COMPOUND_LITERALS 1
#define HAVE_TM_GMTOFF 1
#define HAVE_DECL_GETDELIM 1
#define HAVE_LONG_LONG_INT 1
#define HAVE_DECL_GETLINE 1
#define HAVE_GETOPT_H 1
#define HAVE_GETOPT_LONG_ONLY 1
#define HAVE_DECL_GETENV 1
#define HAVE_DECL_GETPASS 1
#define HAVE_DECL_FFLUSH_UNLOCKED 1
#define HAVE_DECL_FLOCKFILE 1
#define HAVE_DECL_FPUTS_UNLOCKED 1
#define HAVE_DECL_FUNLOCKFILE 1
#define HAVE_DECL_PUTC_UNLOCKED 1
#define HAVE_UNSIGNED_LONG_LONG_INT 1
#define HAVE_INTTYPES_H 1
#define HAVE_DECL_IMAXABS 1
#define HAVE_DECL_IMAXDIV 1
#define HAVE_DECL_STRTOIMAX 1
#define HAVE_DECL_STRTOUMAX 1
#define FLT_EXPBIT0_WORD 0
#define FLT_EXPBIT0_BIT 23
#define HAVE_DECL_GETC_UNLOCKED 1
#define HAVE_STDLIB_H 1
#define MALLOC_0_IS_NONNULL 1
#define HAVE_MBRTOWC 1
#define HAVE_DECL_MEMRCHR 1
#define _FILE_OFFSET_BITS 64
#define HAVE_DECL_SNPRINTF 1
#define HAVE_DECL_STRDUP 1
#define HAVE_DECL_STRNDUP 1
#define HAVE_DECL_STRNLEN 1
#define HAVE_DECL_CLEARERR_UNLOCKED 1
#define HAVE_DECL_FEOF_UNLOCKED 1
#define HAVE_DECL_FERROR_UNLOCKED 1
#define HAVE_DECL_FGETS_UNLOCKED 1
#define HAVE_DECL_FPUTC_UNLOCKED 1
#define HAVE_DECL_FREAD_UNLOCKED 1
#define HAVE_DECL_FWRITE_UNLOCKED 1
#define HAVE_DECL_GETCHAR_UNLOCKED 1
#define HAVE_DECL_PUTCHAR_UNLOCKED 1
#define HAVE_WORKING_UTIMES 1
#define HAVE_STRUCT_UTIMBUF 1
#define HAVE_WCHAR_T 1
#define HAVE_WINT_T 1
#define HAVE_INTTYPES_H_WITH_UINTMAX 1
#define HAVE_STDINT_H_WITH_UINTMAX 1
#define HAVE_INTMAX_T 1
#define HAVE_SNPRINTF 1
#define HAVE_STRNLEN 1
#define HAVE_WCSLEN 1
#define HAVE_WCSNLEN 1
#define HAVE_MBRTOWC 1
#define HAVE_WCRTOMB 1
#define HAVE_DECL__SNPRINTF 0
#define CHECK_PRINTF_SAFE 1
#define USE_ACL 0
#define HAVE_ALLOCA 1
#define HAVE_ATEXIT 1
#define HAVE_CALLOC 1
#define HAVE_CALLOC_POSIX 1
#define GNULIB_CANONICALIZE 1
#define HAVE_CLOCK_GETTIME 1
#define HAVE_CLOCK_SETTIME 1
#define GNULIB_CLOSE_STREAM 1
#define D_INO_IN_DIRENT 1
#define HAVE_STRUCT_DIRENT_D_TYPE 1
#define HAVE_DIRFD 1
#define HAVE_DECL_DIRFD 1
#define HAVE_ENVIRON_DECL 1
#define HAVE_EUIDACCESS 1
#define HAVE_WORKING_O_NOATIME 1
#define HAVE_WORKING_O_NOFOLLOW 1
#define GNULIB_FCNTL_SAFER 1
#define HAVE_STRUCT_STAT_ST_BLOCKS 1
#define HAVE_ST_BLOCKS 1
#define FLEXIBLE_ARRAY_MEMBER /**/
#define GNULIB_FOPEN_SAFER 1
#define HAVE_DECL___FPENDING 1
#define HAVE_DECL_FPURGE 0
#define HAVE_FREXP_IN_LIBC 1
#define HAVE_FREXPL_IN_LIBC 1
#define HAVE_SYS_MOUNT_H 1
#define STAT_STATFS2_BSIZE 1
#define HAVE_SYS_STATFS_H 1
#define HAVE_FCHMODAT 1
#define HAVE_MKDIRAT 1
#define HAVE_OPENAT 1
#define HAVE_STRUCT_STATFS_F_TYPE 1
#define GNULIB_FTS 1
#define HAVE_DECL_GETADDRINFO 1
#define HAVE_DECL_FREEADDRINFO 1
#define HAVE_DECL_GAI_STRERROR 1
#define HAVE_DECL_GETNAMEINFO 1
#define HAVE_STRUCT_ADDRINFO 1
#define HAVE_PARTLY_WORKING_GETCWD 1
#define HAVE_GETPAGESIZE 1
#define HAVE_STRUCT_TM_TM_ZONE 1
#define HAVE_TM_ZONE 1
#define HAVE_GETDELIM 1
#define HAVE_GETHOSTNAME 1
#define HAVE_DECL_GETHRTIME 0
#define HAVE_GETLOADAVG 1
#define HAVE_GETPAGESIZE 1
#define HAVE_DECL___FSETLOCKING 1
#define getpass gnu_getpass
#define GETGROUPS_T gid_t
#define HAVE_GETUSERSHELL 1
#define HOST_OPERATING_SYSTEM "GNU/Linux"
#define HAVE_GETHOSTBYNAME 1
#define HAVE_ICONV 1
#define ICONV_CONST
#define HAVE_DECL_INET_NTOP 1
#define HAVE_INLINE 1
#define GL_TRIGGER_STDC_LIMIT_MACROS 1
#define HAVE_FIFO_PIPES 1
#define PIPE_LINK_COUNT_MAX (1)
#define HAVE_ISNAND_IN_LIBC 1
#define HAVE_ISNANF_IN_LIBC 1
#define LDBL_EXPBIT0_WORD 2
#define LDBL_EXPBIT0_BIT 0
#define HAVE_LCHOWN 1
#define LSTAT_FOLLOWS_SLASHED_SYMLINK 1
#define HAVE_STDLIB_H 1
#define HAVE_MALLOC 1
#define GNULIB_MALLOC_GNU 1
#define HAVE_MALLOC_POSIX 1
#define HAVE_DECL_MBSWIDTH_IN_WCHAR_H 0
#define HAVE_MBSTATE_T 1
#define HAVE_MEMCHR 1
#define HAVE_STRCOLL 1
#define HAVE_MEMCPY 1
#define HAVE_MEMMOVE 1
#define HAVE_MEMPCPY 1
#define HAVE_MEMRCHR 1
#define HAVE_MEMSET 1
#define HAVE_GETGROUPLIST 1
#define HAVE_SYS_MOUNT_H 1
#define HAVE_MNTENT_H 1
#define HAVE_GETMNTENT 1
#define MOUNTED_GETMNTENT1 1
#define HAVE_OBSTACK 1
#define GNULIB_OPEN 1
#define HAVE_FCHMODAT 1
#define HAVE_MKDIRAT 1
#define HAVE_OPENAT 1
#define HAVE_SYS_SYSINFO_H 1
#define HAVE_SYS_PARAM_H 1
#define HAVE_SYS_SYSCTL_H 1
#define HAVE_SYSCTL 1
#define HAVE_FREXP_IN_LIBC 1
#define HAVE_LDEXP_IN_LIBC 1
#define HAVE_FREXPL_IN_LIBC 1
#define HAVE_LDEXPL_IN_LIBC 1
#define HAVE_RAISE 1
#define HAVE_DECL_GETUTENT 1
#define HAVE_STRUCT_UTMPX_UT_USER 1
#define HAVE_STRUCT_UTMP_UT_USER 1
#define HAVE_STRUCT_UTMPX_UT_NAME 1
#define HAVE_STRUCT_UTMP_UT_NAME 1
#define HAVE_STRUCT_UTMPX_UT_TYPE 1
#define HAVE_STRUCT_UTMP_UT_TYPE 1
#define HAVE_STRUCT_UTMPX_UT_PID 1
#define HAVE_STRUCT_UTMP_UT_PID 1
#define HAVE_STRUCT_UTMPX_UT_ID 1
#define HAVE_STRUCT_UTMP_UT_ID 1
#define HAVE_STRUCT_UTMPX_UT_EXIT 1
#define HAVE_STRUCT_UTMP_UT_EXIT 1
#define HAVE_STRUCT_UTMPX_UT_EXIT_E_EXIT 1
#define HAVE_STRUCT_UTMP_UT_EXIT_E_EXIT 1
#define HAVE_STRUCT_UTMPX_UT_EXIT_E_TERMINATION 1
#define HAVE_STRUCT_UTMP_UT_EXIT_E_TERMINATION 1
#define HAVE_STDLIB_H 1
#define HAVE_REALLOC 1
#define GNULIB_REALLOC_GNU 1
#define HAVE_REALLOC_POSIX 1
#define HAVE_RMDIR 1
#define RMDIR_ERRNO_NOT_EMPTY 39
#define HAVE_RPMATCH 1
#define HAVE_GETSERVBYNAME 1
#define HAVE_STRUCT_SIGACTION_SA_SIGACTION 1
#define HAVE_STDINT_H 1
#define HAVE_SNPRINTF 1
#define HAVE_STRUCT_STAT_ST_ATIM_TV_NSEC 1
#define TYPEOF_STRUCT_STAT_ST_ATIM_IS_STRUCT_TIMESPEC 1
#define HAVE_STRUCT_RANDOM_DATA 1
#define HAVE_STPCPY 1
#define HAVE_STPNCPY 1
#define HAVE_STRCSPN 1
#define HAVE_STRDUP 1
#define HAVE_STRDUP 1
#define my_strftime nstrftime
#define HAVE_STRNDUP 1
#define HAVE_STRPBRK 1
#define HAVE_STRTOIMAX 1
#define HAVE_STRTOL 1
#define HAVE_STRTOLL 1
#define HAVE_STRTOUL 1
#define HAVE_STRTOULL 1
#define HAVE_STRTOUMAX 1
#define HAVE_STRVERSCMP 1
#define HAVE_SHUTDOWN 1
#define HAVE_RUN_TZSET_TEST 1
#define GNULIB_UNISTR_U8_UCTOMB 1
#define UNLINK_CANNOT_UNLINK_DIR 1
#define USE_UNLOCKED_IO 1
#define HAVE_UNSETENV 1
#define HAVE_PROC_UPTIME 1
#define HAVE_VASPRINTF 1
#define HAVE_VASPRINTF 1
#define NEED_PRINTF_INFINITE_LONG_DOUBLE 1
#define NEED_PRINTF_INFINITE_LONG_DOUBLE 1
#define REPLACE_VFPRINTF_POSIX 1
#define REPLACE_VPRINTF_POSIX 1
#define HAVE_DECL_WCWIDTH 1
#define GWINSZ_IN_SYS_IOCTL 1
#define HAVE_STDINT_H 1
#define HAVE_INET_PTON 1
#define HAVE_DECL_INET_PTON 1
#define GNULIB_IOCTL 1
#define DBL_EXPBIT0_WORD 1
#define DBL_EXPBIT0_BIT 20
#define FLT_EXPBIT0_WORD 0
#define FLT_EXPBIT0_BIT 23
#define LDBL_EXPBIT0_WORD 2
#define LDBL_EXPBIT0_BIT 0
#define HAVE_DECL_SLEEP 1
#define HAVE_WCHAR_T 1
#define HAVE_WINT_T 1
#define HAVE_SHUTDOWN 1
#define HAVE_DECL_WCTOB 1
#define PROTOTYPES 1
#define __PROTOTYPES 1
#define HAVE_STRING_H 1
#define HAVE_SYS_SYSCTL_H 1
#define TIME_WITH_SYS_TIME 1
#define HAVE_DECL_FREE 1
#define HAVE_DECL_GETEUID 1
#define HAVE_DECL_GETLOGIN 1
#define HAVE_DECL_GETUID 1
#define HAVE_DECL_LSEEK 1
#define HAVE_DECL_MALLOC 1
#define HAVE_DECL_MEMCHR 1
#define HAVE_DECL_REALLOC 1
#define HAVE_DECL_GETGRGID 1
#define HAVE_DECL_GETPWUID 1
#define HAVE_DECL_TTYNAME 1
#define HAVE_DECL_ISBLANK 1
#define PREFER_NONREENTRANT_EUIDACCESS 1
#define USE_XATTR 0
#define major_t unsigned int
#define minor_t unsigned int
#define ARGMATCH_DIE usage (1)
#define ARGMATCH_DIE_DECL void usage (int _e)
#define HAVE_STRUCT_STATFS_F_NAMELEN 1
#define HAVE_STRUCT_STATFS_F_TYPE 1
#define HAVE_FDATASYNC 1
#define HAVE_FORK 1
#define HAVE_VFORK 1
#define HAVE_WORKING_VFORK 1
#define HAVE_WORKING_FORK 1
#define HAVE_UNAME 1
#define HAVE_CHROOT 1
#define HAVE_GETHOSTID 1
#define HAVE_INITGROUPS 1
#define HAVE_SYSLOG 1
#define HAVE_UT_HOST 1
#define HAVE_SYSCTL 1
#define HAVE_SYS_SYSCTL_H 1
#define GWINSZ_IN_SYS_IOCTL 1
#define HAVE_C_LINE 1
#define HAVE_DECL_STRSIGNAL 1
#define HAVE_DECL_SYS_SIGLIST 1
#define HAVE_DECL__SYS_SIGLIST 1
#define HAVE_DECL___SYS_SIGLIST 0
#define HAVE_SHADOW_H 1
#define HAVE_STRUCT_SPWD_SP_PWDP 1
#define HAVE_GETSPNAM 1
#define HAVE_GMP 1
#define ENABLE_NLS 1
#define HAVE_GETTEXT 1
#define HAVE_DCGETTEXT 1

configure: exit 0

## ---------------------- ##
## Running config.status. ##
## ---------------------- ##

This file was extended by GNU coreutils config.status 7.4, which was
generated by GNU Autoconf 2.63b.42-b26d5.  Invocation command line was

  CONFIG_FILES    =
  CONFIG_HEADERS  =
  CONFIG_LINKS    =
  CONFIG_COMMANDS =
  $ ./config.status tests/Makefile

on localhost.localdomain

config.status:1884: creating tests/Makefile

## ---------------------- ##
## Running config.status. ##
## ---------------------- ##

This file was extended by GNU coreutils config.status 7.4, which was
generated by GNU Autoconf 2.63b.42-b26d5.  Invocation command line was

  CONFIG_FILES    =
  CONFIG_HEADERS  =
  CONFIG_LINKS    =
  CONFIG_COMMANDS =
  $ ./config.status gnulib-tests/Makefile depfiles

on localhost.localdomain

config.status:1884: creating gnulib-tests/Makefile
config.status:2135: executing depfiles commands

## ---------------------- ##
## Running config.status. ##
## ---------------------- ##

This file was extended by GNU coreutils config.status 7.4, which was
generated by GNU Autoconf 2.63b.42-b26d5.  Invocation command line was

  CONFIG_FILES    =
  CONFIG_HEADERS  =
  CONFIG_LINKS    =
  CONFIG_COMMANDS =
  $ ./config.status Makefile

on localhost.localdomain

config.status:1884: creating Makefile

## ---------------------- ##
## Running config.status. ##
## ---------------------- ##

This file was extended by GNU coreutils config.status 7.4, which was
generated by GNU Autoconf 2.63b.42-b26d5.  Invocation command line was

  CONFIG_FILES    =
  CONFIG_HEADERS  =
  CONFIG_LINKS    =
  CONFIG_COMMANDS =
  $ ./config.status src/Makefile depfiles

on localhost.localdomain

config.status:1884: creating src/Makefile
config.status:2135: executing depfiles commands





please help it is urgent!!!!!

druuna 11-25-2009 08:14 AM

Hi,

First: Urgent??? I don't think so. We (LQ) don't like to see this, we are doing this in our "free" time and do not get any compensation. Your problem is as urgent as any other problem posted on this board.

Back to your problem. This:

+ NON_ROOT_USERNAME=nobody
++ id -g nobody
id: nobody: No such user


Looks suspicious. Did you by any chance forget this step: 6.6. Creating Essential Files and Symlinks


Especially this part:

cat > /etc/passwd << "EOF"
root:x:0:0:root:/root:/bin/bash
bin:x:1:1:bin:/dev/null:/bin/false
nobody:x:99:99:Unprivileged User:/dev/null:/bin/false
EOF


And this:

cat > /etc/group << "EOF"
root:x:0:
bin:x:1:
.
.
.
mail:x:34:
nogroup:x:99:
EOF


Hope this helps.

aahiqmir 11-25-2009 11:36 AM

Quote:

Originally Posted by druuna (Post 3769215)
Hi,

First: Urgent??? I don't think so. We (LQ) don't like to see this, we are doing this in our "free" time and do not get any compensation. Your problem is as urgent as any other problem posted on this board.

Back to your problem. This:

+ NON_ROOT_USERNAME=nobody
++ id -g nobody
id: nobody: No such user


Looks suspicious. Did you by any chance forget this step: 6.6. Creating Essential Files and Symlinks


Especially this part:

cat > /etc/passwd << "EOF"
root:x:0:0:root:/root:/bin/bash
bin:x:1:1:bin:/dev/null:/bin/false
nobody:x:99:99:Unprivileged User:/dev/null:/bin/false
EOF


And this:

cat > /etc/group << "EOF"
root:x:0:
bin:x:1:
.
.
.
mail:x:34:
nogroup:x:99:
EOF


Hope this helps.

First of all thanks for you reply.

I re-entered the chroot environment and it solved my previous problem but

now when i run
Code:

make NON_ROOT_USERNAME=nobody check-root
it shows a line which is as follows
Code:

FAIL:cp/cp-av-enotsup-xattr
one screen of out put is


Code:

++ cd /sources/coreutils-7.4/tests/cu-cp-mv-enotsup-xattr.nXsiL31oGN
++ diff --version
++ grep GNU
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=0
+ case $my_uid in
+ NON_ROOT_USERNAME=nobody
++ pwd
+ cwd=/sources/coreutils-7.4/tests/cu-cp-mv-enotsup-xattr.nXsiL31oGN
+ dd if=/dev/zero of=blob bs=8192 count=200
+ mkdir mnt
+ mkfs -t ext2 -F blob
mke2fs 1.41.8 (11-Jul-2009)
Filesystem label=
OS type: Linux
Block size=4096 (log=2)
Fragment size=4096 (log=2)
224 inodes, 400 blocks
20 blocks (5.00%) reserved for the super user
First data block=0
1 block group
32768 blocks per group, 32768 fragments per group
224 inodes per group

Writing inode tables: done                           
Writing superblocks and filesystem accounting information: done

This filesystem will be automatically checked every 35 mounts or
180 days, whichever comes first.  Use tune2fs -c or -i to override.
+ mount -oloop,nouser_xattr blob mnt
./cp/cp-mv-enotsup-xattr: line 40: mount: command not found
+ framework_failure
+ error_ 'failure in testing framework'
+ echo './cp/cp-mv-enotsup-xattr: failure in testing framework'
./cp/cp-mv-enotsup-xattr: failure in testing framework
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=1
+ cleanup_
+ cd /
+ umount /sources/coreutils-7.4/tests/cu-cp-mv-enotsup-xattr.nXsiL31oGN/mnt
./cp/cp-mv-enotsup-xattr: line 31: umount: command not found
+ cd /sources/coreutils-7.4/tests
+ chmod -R u+rwx /sources/coreutils-7.4/tests/cu-cp-mv-enotsup-xattr.nXsiL31oGN
+ rm -rf /sources/coreutils-7.4/tests/cu-cp-mv-enotsup-xattr.nXsiL31oGN
+ exit 1

SKIP: dd/skip-seek-past-dev (exit: 77)
======================================

+ dd --version
dd (coreutils) 7.4
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Paul Rubin, David MacKenzie, and Stuart Kemp.
+ . ./test-lib.sh
++ unset function_test
++ eval 'function_test() { return 11; }; function_test'
+++ function_test
+++ return 11
++ test 11 '!=' 11
+++ pwd
++ test_dir_=/sources/coreutils-7.4/tests
+++ this_test_
+++ echo ././dd/skip-seek-past-dev
+++ sed 's,.*/,,'
++ this_test=skip-seek-past-dev
+++ /sources/coreutils-7.4/src/mktemp -d --tmp=/sources/coreutils-7.4/tests cu-skip-seek-past-dev.XXXXXXXXXX
++ t_=/sources/coreutils-7.4/tests/cu-skip-seek-past-dev.7ScCUCFT5e
++ trap remove_tmp_ 0
++ trap 'Exit $?' 1 2 13 15
++ cd /sources/coreutils-7.4/tests/cu-skip-seek-past-dev.7ScCUCFT5e
++ diff --version
++ grep GNU
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=0
+ case $my_uid in
+ NON_ROOT_USERNAME=nobody
+ fail=0
++ df -P --local .
df: Warning: cannot read table of mounted file systems
++ tail -n1
++ cut '-d ' -f1
+ device=-
++ get_device_size -
++ BLOCKDEV=blockdev
++ blockdev -V
++ blockdev --getsize64 -

Usage:
  blockdev -V
  blockdev --report [devices]
  blockdev [-v|-q] commands devices

Available commands:
        --getsz                        get size in 512-byte sectors
        --setro                        set read-only
        --setrw                        set read-write
        --getro                        get read-only
        --getss                        get sectorsize
        --getbsz                      get blocksize
        --setbsz BLOCKSIZE            set blocksize
        --getsize                      get 32-bit sector count
        --getsize64                    get size in bytes
        --setra READAHEAD              set readahead
        --getra                        get readahead
        --setfra FSREADAHEAD          set filesystem readahead
        --getfra                      get filesystem readahead
        --flushbufs                    flush buffers
        --rereadpt                    reread partition table

+ dev_size=
+ skip_test_ 'failed to determine size of -'
+ echo './dd/skip-seek-past-dev: skipping test: failed to determine size of -'
+ head -1
+ echo './dd/skip-seek-past-dev: skipping test: failed to determine size of -'
./dd/skip-seek-past-dev: skipping test: failed to determine size of -
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=77
+ cleanup_
+ :
+ cd /sources/coreutils-7.4/tests
+ chmod -R u+rwx /sources/coreutils-7.4/tests/cu-skip-seek-past-dev.7ScCUCFT5e
+ rm -rf /sources/coreutils-7.4/tests/cu-skip-seek-past-dev.7ScCUCFT5e
+ exit 77

SKIP: ls/capability (exit: 77)
==============================

+ ls --version
ls (GNU coreutils) 7.4
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Richard M. Stallman and David MacKenzie.
+ . ./test-lib.sh
++ unset function_test
++ eval 'function_test() { return 11; }; function_test'
+++ function_test
+++ return 11
++ test 11 '!=' 11
+++ pwd
++ test_dir_=/sources/coreutils-7.4/tests
+++ this_test_
+++ echo ././ls/capability
+++ sed 's,.*/,,'
++ this_test=capability
+++ /sources/coreutils-7.4/src/mktemp -d --tmp=/sources/coreutils-7.4/tests cu-capability.XXXXXXXXXX
++ t_=/sources/coreutils-7.4/tests/cu-capability.RKEu6GdC9H
++ trap remove_tmp_ 0
++ trap 'Exit $?' 1 2 13 15
++ cd /sources/coreutils-7.4/tests/cu-capability.RKEu6GdC9H
++ diff --version
++ grep GNU
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=0
+ case $my_uid in
+ NON_ROOT_USERNAME=nobody
+ grep '^#define HAVE_CAP 1$' /sources/coreutils-7.4/lib/config.h
+ skip_test_ 'configured without libcap support'
+ echo './ls/capability: skipping test: configured without libcap support'
+ head -1
+ echo './ls/capability: skipping test: configured without libcap support'
./ls/capability: skipping test: configured without libcap support
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=77
+ cleanup_
+ :
+ cd /sources/coreutils-7.4/tests
+ chmod -R u+rwx /sources/coreutils-7.4/tests/cu-capability.RKEu6GdC9H
+ rm -rf /sources/coreutils-7.4/tests/cu-capability.RKEu6GdC9H
+ exit 77

SKIP: misc/chcon (exit: 77)
===========================

+ chcon --version
chcon (GNU coreutils) 7.4
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Russell Coker and Jim Meyering.
+ . ./test-lib.sh
++ unset function_test
++ eval 'function_test() { return 11; }; function_test'
+++ function_test
+++ return 11
++ test 11 '!=' 11
+++ pwd
++ test_dir_=/sources/coreutils-7.4/tests
+++ this_test_
+++ echo ././misc/chcon
+++ sed 's,.*/,,'
++ this_test=chcon
+++ /sources/coreutils-7.4/src/mktemp -d --tmp=/sources/coreutils-7.4/tests cu-chcon.XXXXXXXXXX
++ t_=/sources/coreutils-7.4/tests/cu-chcon.KvwTjVwKcg
++ trap remove_tmp_ 0
++ trap 'Exit $?' 1 2 13 15
++ cd /sources/coreutils-7.4/tests/cu-chcon.KvwTjVwKcg
++ diff --version
++ grep GNU
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=0
+ case $my_uid in
+ NON_ROOT_USERNAME=nobody
+ require_selinux_
+ case `ls -Zd .` in
++ ls -Zd .
+ skip_test_ 'this system (or maybe just' 'the current file system) lacks SELinux support'
+ echo './misc/chcon: skipping test: this system (or maybe just' 'the current file system) lacks SELinux support'
+ head -1
+ echo './misc/chcon: skipping test: this system (or maybe just' 'the current file system) lacks SELinux support'
./misc/chcon: skipping test: this system (or maybe just the current file system) lacks SELinux support
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=77
+ cleanup_
+ :
+ cd /sources/coreutils-7.4/tests
+ chmod -R u+rwx /sources/coreutils-7.4/tests/cu-chcon.KvwTjVwKcg
+ rm -rf /sources/coreutils-7.4/tests/cu-chcon.KvwTjVwKcg
+ exit 77

SKIP: misc/selinux (exit: 77)
=============================

+ chcon --version
chcon (GNU coreutils) 7.4
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Russell Coker and Jim Meyering.
+ cp --version
cp (GNU coreutils) 7.4
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbjorn Granlund, David MacKenzie, and Jim Meyering.
+ ls --version
ls (GNU coreutils) 7.4
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Richard M. Stallman and David MacKenzie.
+ mv --version
mv (GNU coreutils) 7.4
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Mike Parker, David MacKenzie, and Jim Meyering.
+ stat --version
stat (GNU coreutils) 7.4
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Michael Meskes.
+ . ./test-lib.sh
++ unset function_test
++ eval 'function_test() { return 11; }; function_test'
+++ function_test
+++ return 11
++ test 11 '!=' 11
+++ pwd
++ test_dir_=/sources/coreutils-7.4/tests
+++ this_test_
+++ echo ././misc/selinux
+++ sed 's,.*/,,'
++ this_test=selinux
+++ /sources/coreutils-7.4/src/mktemp -d --tmp=/sources/coreutils-7.4/tests cu-selinux.XXXXXXXXXX
++ t_=/sources/coreutils-7.4/tests/cu-selinux.AfKwHlZE9P
++ trap remove_tmp_ 0
++ trap 'Exit $?' 1 2 13 15
++ cd /sources/coreutils-7.4/tests/cu-selinux.AfKwHlZE9P
++ diff --version
++ grep GNU
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=0
+ case $my_uid in
+ NON_ROOT_USERNAME=nobody
+ require_selinux_
+ case `ls -Zd .` in
++ ls -Zd .
+ skip_test_ 'this system (or maybe just' 'the current file system) lacks SELinux support'
+ echo './misc/selinux: skipping test: this system (or maybe just' 'the current file system) lacks SELinux support'
+ head -1
+ echo './misc/selinux: skipping test: this system (or maybe just' 'the current file system) lacks SELinux support'
./misc/selinux: skipping test: this system (or maybe just the current file system) lacks SELinux support
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=77
+ cleanup_
+ :
+ cd /sources/coreutils-7.4/tests
+ chmod -R u+rwx /sources/coreutils-7.4/tests/cu-selinux.AfKwHlZE9P
+ rm -rf /sources/coreutils-7.4/tests/cu-selinux.AfKwHlZE9P
+ exit 77

SKIP: mkdir/writable-under-readonly (exit: 77)
==============================================

+ mkdir --version
mkdir (GNU coreutils) 7.4
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by David MacKenzie.
+ . ./test-lib.sh
++ unset function_test
++ eval 'function_test() { return 11; }; function_test'
+++ function_test
+++ return 11
++ test 11 '!=' 11
+++ pwd
++ test_dir_=/sources/coreutils-7.4/tests
+++ this_test_
+++ echo ././mkdir/writable-under-readonly
+++ sed 's,.*/,,'
++ this_test=writable-under-readonly
+++ /sources/coreutils-7.4/src/mktemp -d --tmp=/sources/coreutils-7.4/tests cu-writable-under-readonly.XXXXXXXXXX
++ t_=/sources/coreutils-7.4/tests/cu-writable-under-readonly.UK8NMSvz1Y
++ trap remove_tmp_ 0
++ trap 'Exit $?' 1 2 13 15
++ cd /sources/coreutils-7.4/tests/cu-writable-under-readonly.UK8NMSvz1Y
++ diff --version
++ grep GNU
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=0
+ case $my_uid in
+ NON_ROOT_USERNAME=nobody
+ skip_test_ temporarily disabled
+ echo './mkdir/writable-under-readonly: skipping test: temporarily' disabled
+ head -1
+ echo './mkdir/writable-under-readonly: skipping test: temporarily' disabled
./mkdir/writable-under-readonly: skipping test: temporarily disabled
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=77
+ cleanup_
+ :
+ cd /sources/coreutils-7.4/tests
+ chmod -R u+rwx /sources/coreutils-7.4/tests/cu-writable-under-readonly.UK8NMSvz1Y
+ rm -rf /sources/coreutils-7.4/tests/cu-writable-under-readonly.UK8NMSvz1Y
+ exit 77

SKIP: rm/one-file-system (exit: 77)
===================================

+ rm --version
rm (GNU coreutils) 7.4
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Paul Rubin, David MacKenzie, Richard M. Stallman,
and Jim Meyering.
+ . ./test-lib.sh
++ unset function_test
++ eval 'function_test() { return 11; }; function_test'
+++ function_test
+++ return 11
++ test 11 '!=' 11
+++ pwd
++ test_dir_=/sources/coreutils-7.4/tests
+++ this_test_
+++ echo ././rm/one-file-system
+++ sed 's,.*/,,'
++ this_test=one-file-system
+++ /sources/coreutils-7.4/src/mktemp -d --tmp=/sources/coreutils-7.4/tests cu-one-file-system.XXXXXXXXXX
++ t_=/sources/coreutils-7.4/tests/cu-one-file-system.iePZeWKuzG
++ trap remove_tmp_ 0
++ trap 'Exit $?' 1 2 13 15
++ cd /sources/coreutils-7.4/tests/cu-one-file-system.iePZeWKuzG
++ diff --version
++ grep GNU
+ require_root_
+ uid_is_privileged_
++ id -u
+ my_uid=0
+ case $my_uid in
+ NON_ROOT_USERNAME=nobody
+ . /sources/coreutils-7.4/tests/other-fs-tmpdir
++ test '' = set
++ CANDIDATE_TMP_DIRS='. /tmp /dev/shm /var/tmp /usr/tmp /root'
++ other_partition_tmpdir=
+++ stat -c %d .
++ dot_mount_point=776
++ for d in '$CANDIDATE_TMP_DIRS'
++ test -d .
+++ stat -L -c %d .
++ d_mount_point=776
++ test x776 = x776
++ continue
++ for d in '$CANDIDATE_TMP_DIRS'
++ test -d /tmp
+++ stat -L -c %d /tmp
++ d_mount_point=776
++ test x776 = x776
++ continue
++ for d in '$CANDIDATE_TMP_DIRS'
++ test -d /dev/shm
+++ stat -L -c %d /dev/shm
++ d_mount_point=25
++ test x25 = x776
++ mkdir /dev/shm/tmp13120
++ other_partition_tmpdir=/dev/shm/tmp13120
++ break
++ test -z /dev/shm/tmp13120
++ test yes = yes
++ set -x
+ t=/dev/shm/tmp13120
+ mkdir -p a/b /dev/shm/tmp13120/y
+ mount --bind /dev/shm/tmp13120 a/b
./rm/one-file-system: line 37: mount: command not found
+ skip_test_ 'This test requires mount with a working --bind option.'
+ echo './rm/one-file-system: skipping test: This test requires mount with a working --bind option.'
+ head -1
+ echo './rm/one-file-system: skipping test: This test requires mount with a working --bind option.'
./rm/one-file-system: skipping test: This test requires mount with a working --bind option.
+ Exit 77
+ set +e
+ exit 77
+ exit 77
+ remove_tmp_
+ __st=77
+ cleanup_
+ umount /dev/shm/tmp13120
./rm/one-file-system: line 30: umount: command not found
+ rm -rf /dev/shm/tmp13120
+ cd /sources/coreutils-7.4/tests
+ chmod -R u+rwx /sources/coreutils-7.4/tests/cu-one-file-system.iePZeWKuzG
+ rm -rf /sources/coreutils-7.4/tests/cu-one-file-system.iePZeWKuzG
+ exit 77
======================================
1 of 12 tests failed
(7 tests were not run)
See tests/test-suite.log
Please report to bug-coreutils@gnu.org
======================================
make[4]: *** [test-suite.log] Error 1
make[4]: Leaving directory `/sources/coreutils-7.4/tests'
make[3]: *** [check-TESTS] Error 2
make[3]: Leaving directory `/sources/coreutils-7.4/tests'
make[2]: *** [check-am] Error 2
make[2]: Leaving directory `/sources/coreutils-7.4/tests'
make[1]: *** [check-root] Error 2
make[1]: Leaving directory `/sources/coreutils-7.4/tests'
make: *** [check-root] Error 2
root:/sources/coreutils-7.4#

it shows one test failed.can i go on with it?

please help

thanks

druuna 11-25-2009 12:28 PM

After re-entering the chrooted environment, did you remove all the coreutils stuff and start 6.21 again with a clean sheet? You should.

Your screen output looks 'funny', especially the first part. It isn't at all clear what the first part represents, all from + mount -oloop,nouser_xattr blob mnt looks to be part of the cp-mv-enotsup-xattr test. But that part doesn't look at all like the output given on the LFS build-log site.

BTW: If a specific error isn't mentioned in the book (as in 'ignore error this-and-that'), you cannot continue. Especially if you see something like this: .....: line 40: mount: command not found

aahiqmir 11-25-2009 11:38 PM

Quote:

Originally Posted by druuna (Post 3769468)
After re-entering the chrooted environment, did you remove all the coreutils stuff and start 6.21 again with a clean sheet? You should.

Your screen output looks 'funny', especially the first part. It isn't at all clear what the first part represents, all from + mount -oloop,nouser_xattr blob mnt looks to be part of the cp-mv-enotsup-xattr test. But that part doesn't look at all like the output given on the LFS build-log site.

BTW: If a specific error isn't mentioned in the book (as in 'ignore error this-and-that'), you cannot continue. Especially if you see something like this: .....: line 40: mount: command not found


After re-entering chroot environment i did clean the coreutils.

infact i did it thrice but i face the same problem.

thanks

druuna 11-26-2009 05:33 AM

I assume that:

1) you checked if mount and umount (and possibly blockdev) are correctly installed,
2) you made sure that, after re-entering the chrooted environment, the virtual kernel filesystems are (still) mounted,
3) your previous issues (gcc to name just one) are solved.

You did not mention anything about the funny looking log output. Did you copy/paste parts or all of it?


All times are GMT -5. The time now is 05:03 AM.